def application(environ, start_response):
    session = environ['beaker.session']
    if not session.has_key('value'):
        session['value'] = 0
    session['value'] += 1
    session.save()
    start_response('200 OK', [('Content-type', 'text/plain')])
    return ['The current value is: %d' % session['value']]

from beaker.session import SessionMiddleware

application = SessionMiddleware(
    application,
    key='mysession',
    secret='randomsecret',
)

from wsgiref import simple_server
httpd = simple_server.WSGIServer(
    ('',8000),
    simple_server.WSGIRequestHandler,
)
httpd.set_app(application)
httpd.serve_forever()
